# Uses of Class
com.ocient.util.MockOcientCluster.IdempotentResultSetProvider

Packages that use MockOcientCluster.IdempotentResultSetProvider
Package
Description
com.ocient.util

## Uses of MockOcientCluster.IdempotentResultSetProvider in com.ocient.util

Methods in com.ocient.util that return MockOcientCluster.IdempotentResultSetProvider
Modifier and Type
Method
Description
`MockOcientCluster.IdempotentResultSetProvider`
MockQueryRegistry.`getResultSetProvider(String sql)`
Returns a result set provider given the sql text.
Methods in com.ocient.util with parameters of type MockOcientCluster.IdempotentResultSetProvider
Modifier and Type
Method
Description
`void`
MockOcientCluster.`registerQuery(String sql, MockOcientCluster.IdempotentResultSetProvider provider)`
Registers a SQL query with an associated `MockOcientCluster.IdempotentResultSetProvider` to ensure performant, replayable operations.
`void`
MockQueryRegistry.`registerResultSetProvider(String sql, MockOcientCluster.IdempotentResultSetProvider provider)`
Registers a SQL query with an associated `MockOcientCluster.IdempotentResultSetProvider` to ensure performant, replayable operations.